# UnknownUpdateType - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update.abstracts / UnknownUpdateType

# UnknownUpdateType

(common) `data class UnknownUpdateType : Update` (source)

### Constructors

(common)

#### <init>

`UnknownUpdateType(updateId: UpdateIdentifier, data: String, rawJson: JsonElement)`

### Properties

(common)

#### data

`val data: String`

(common)

#### rawJson

`val rawJson: JsonElement`

(common)

#### updateId

`val updateId: UpdateIdentifier`